Subject: bug#35154: guix package --show=openssh gnu/packages/curl.scm:55:4: error: libssh2: unbound variable

From: Jack Hill <[email-masked]>
Date: Fri, 5 Apr 2019 13:47:35 -0400 (EDT)

On Fri, 5 Apr 2019, Ricardo Wurmus wrote:

> I think (gnu packages curl) is not correct because it provides
> libssh2-1.8.0, which inherits from a package that is in (gnu packages
> ssh).
>
> The definition of libssh2-1.8.0 should probably be moved to (gnu
> packages ssh).

Maybe. Here's an interesting twist: I thought I would try produce a patch 
to move that definition. From a up-to-date checkout (commit 
177bc62d63e89a1ce2f255879bca1fdc5f3769f1), I ran:

   guix environment guix
   ./bootstrap
   ./configure --localstatedir=/var
   make
   ./pre-inst-env guix package --show=openssh

And there is no error even though the definition had not been moved.

However, if I guix pull to the same commit, the problem persists.